class bi_initscripts (
    $package_name = hiera("package_name", undef),
) {

    if $package_name == undef or !is_string($package_name) { 
        fail("'package_name' must be defined") 
    }
    
    package { $package_name:
        ensure => 'installed',
        #allow_virtual => false,
    }
    
    # Explicitly set allow_virtual to disable deprecation warning
    # http://docs.puppetlabs.com/puppet/3.6/reference/release_notes.html#changes-to-rpm-behavior-with-virtual-packages
  
}
